eID middleware |

# eIDMW::PTEID_Exception Class Reference

Base class for the PTEID SDK Exceptions. More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_Exception:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_Exception (long lError)
| Constructor - Need error code that comes from eidErrors.h.
virtual PTEIDSDK_API | ~PTEID_Exception ()
| Destructor.
PTEIDSDK_API long | GetError () const
| Return the error code.
## Static Public Member Functions
static NOEXPORT_PTEIDSDK PTEID_Exception | THROWException (CMWException &e)

## Detailed Description

Base class for the PTEID SDK Exceptions.

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_Exception::PTEID_Exception | ( | long | lError | ) |

Constructor - Need error code that comes from eidErrors.h.

virtual PTEIDSDK_API eIDMW::PTEID_Exception::~PTEID_Exception | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API long eIDMW::PTEID_Exception::GetError | ( |  | ) | const

Return the error code.

static NOEXPORT_PTEIDSDK PTEID_Exception eIDMW::PTEID_Exception::THROWException | ( | CMWException & | e | ) | `[static]`

The documentation for this class was generated from the following file:

- eidlibException.h